/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */

/*
 *    Public brutusd definitions
 *
 *    Authors:
 *        Jules Colding <colding@42tools.com>
 *
 *    Copyright (C) 2005-2007 OMC Denmark ApS.
 *
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
 *    MA 02111-1307 USA
 */

#ifndef BRUTUSD_H
#define BRUTUSD_H 1

G_BEGIN_DECLS

/* this directory will be created in $HOME */
#ifdef BRUTUSD_DIR_NAME
#undef BRUTUSD_DIR_NAME
#endif
#define BRUTUSD_DIR_NAME ".brutusd"

/* this file will be created in $HOME/BRUTUSD_DIR_NAME/ */
#ifdef BRUTUSD_PID_FILE_NAME
#undef BRUTUSD_PID_FILE_NAME
#endif
#define BRUTUSD_PID_FILE_NAME BRUTUSD_DIR_NAME"/brutusd.pid"

/* this file will be created in $HOME/BRUTUSD_DIR_NAME/ */
#ifdef BRUTUSD_REF_FILE_NAME
#undef BRUTUSD_REF_FILE_NAME
#endif
#define BRUTUSD_REF_FILE_NAME BRUTUSD_DIR_NAME"/brutusd.ior"

/* this file will be created in $HOME/BRUTUSD_DIR_NAME/ */
#ifdef BRUTUSD_ACCOUNTS_FILE_NAME
#undef BRUTUSD_ACCOUNTS_FILE_NAME
#endif
#define BRUTUSD_ACCOUNTS_FILE_NAME BRUTUSD_DIR_NAME"/brutusd.accounts"

G_END_DECLS

#endif /* BRUTUSD_H */
